Closed Bug 1213762 Opened 4 years ago Closed 4 years ago

[Browser]When user plays a video in YouTube site in Full Screen mode, if it switches between portrait and landscape mode, a half-screen blank area will flash past.

Categories

(Core :: Panning and Zooming, defect, P2)

ARM
Gonk (Firefox OS)
defect

Tracking

()

VERIFIED FIXED
mozilla44
blocking-b2g 2.5+
Tracking Status
firefox44 --- fixed
b2g-v2.2 --- unaffected
b2g-master --- verified

People

(Reporter: yi.zou, Assigned: botond)

References

Details

(Keywords: regression, Whiteboard: [Spark])

Attachments

(3 files)

[1.Description]:
[Flame KK v2.5][Browser]User opens a video in the YouTube site, and activates Full Screen mode via controls. When user switches between portrait and landscape mode, a half-screen blank area will flash past.
Found time:04:29.
See attachment:logcat_0429.txt, Flame KK v2.5.3gp.

[2.Testing Steps]: 
1. Launch the Browser App from Homescreen.
2. In the Browser navigate to "www.youtube.com". 
3. Search for and select a video to play.
4. Activate Full Screen mode via controls. 
5. Flip the phone to landscape mode. 
6. Flip the phone back to portrait mode. 

[3.Expected Result]: 
Step 5&Step6: The video displays correctly without any flickering occurring.

[4.Actual Result]: 
Step 5&Step6: A half-screen blank area will flash past.

[5.Reproduction build]: 
Device: Aries KK 2.5 eng(Unaffected)
Build ID               20151010114808
Gaia Revision          74b0d4b17f39d238a7997800bd9363d3c60f20c3
Gaia Date              2015-10-09 19:27:39
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b68eab795f9de072bee12821b0f09422e5aa0da9
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151010.110754
Firmware Date          Sat Oct 10 11:08:02 UTC 2015
Bootloader             s1

Device: Aries KK 2.5 user(Unaffected)
Build ID               20151010115114
Gaia Revision          74b0d4b17f39d238a7997800bd9363d3c60f20c3
Gaia Date              2015-10-09 19:27:39
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b68eab795f9de072bee12821b0f09422e5aa0da9
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151010.111019
Firmware Date          Sat Oct 10 11:10:27 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 eng(Affected)
Build ID               20151011150208
Gaia Revision          74b0d4b17f39d238a7997800bd9363d3c60f20c3
Gaia Date              2015-10-09 19:27:39
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b68eab795f9de072bee12821b0f09422e5aa0da9
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151011.182946
Firmware Date          Sun Oct 11 18:29:58 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.5 user (319M/512M/1G) (Affected)
Build ID               20151011150208
Gaia Revision          74b0d4b17f39d238a7997800bd9363d3c60f20c3
Gaia Date              2015-10-09 19:27:39
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b68eab795f9de072bee12821b0f09422e5aa0da9
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151011.183940
Firmware Date          Sun Oct 11 18:39:52 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.2(Unaffected)
Build ID               20151011032503
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/ab6c34bfacf7
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151011.064600
Firmware Date          Sun Oct 11 06:46:11 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
6073
Attached file logcat_0429.txt
Attached video Flame KK v2.5.3gp
This may be related to bug 1097202.
This issue is also occurring in Aries 2.5.

Environmental Variables:
Device: Aries 2.5 [Full Flash]
BuildID: 20151012110146
Gaia: 87f5c9d55ab6a77dcfa48a3f3a8b4f5016f3c657
Gecko: 0b69d304f861d0038fb78f1d52b0f5d13ef7c6fe
Gonk: 2916e2368074b5383c80bf5a0fba3fc83ba310bd
Version: 44.0a1 (2.5) 
Firmware Version: D5803_23.1.A.1.28_NCB.ftf
User Agent: Mozilla/5.0 (Mobile; rv:44.0) Gecko/44.0 Firefox/44.0

Result:
A half-screen blank area will flash past.
--------------------------------------------
Downgrading from smoke blocker to dogfood blocker per IRC conversation with Nhirata.
Summary: [Flame KK][Browser]When user plays a video in YouTube site in Full Screen mode, if it switches between portrait and landscape mode, a half-screen blank area will flash past. → [Browser]When user plays a video in YouTube site in Full Screen mode, if it switches between portrait and landscape mode, a half-screen blank area will flash past.
Whiteboard: [Spark][dogfood-blocker]
blocking-b2g: --- → 2.5+
Keywords: smoketest
Mozilla-inbound Regression Window:

Last Working Environmental Variables:
Build ID               20150902125723
Gaia Revision          29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gaia Date              2015-09-02 17:52:11
Gecko Revision         https://hg.mozilla.org/integration/mozilla-inbound/rev/1dbf8850f7ed7a3181a09ec1adeda7c4716ccb6c
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150904.075851
Firmware Date          Fri Sep  4 07:59:01 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

First Broken Environmental Variables:
Build ID               20150902132021
Gaia Revision          29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gaia Date              2015-09-02 17:52:11
Gecko Revision         https://hg.mozilla.org/integration/mozilla-inbound/rev/656880a5febe554231e320936e8d88c8bd0c2c38
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150904.075851
Firmware Date          Fri Sep  4 07:59:01 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

First Broken Gaia & Last Working Gecko - issue DOES NOT repro
Gaia Revision          29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gecko Revision         https://hg.mozilla.org/integration/mozilla-inbound/rev/1dbf8850f7ed7a3181a09ec1adeda7c4716ccb6c

First Broken Gecko & Last Working Gaia – issue DOES repro
Gaia Revision          29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gecko Revision         https://hg.mozilla.org/integration/mozilla-inbound/rev/656880a5febe554231e320936e8d88c8bd0c2c38

Gecko pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=1dbf8850f7ed7a3181a09ec1adeda7c4716ccb6c&tochange=656880a5febe554231e320936e8d88c8bd0c2c38
Flags: needinfo?(gbrown)
This regression-window doesn't look right. The gecko changes were only in testing code. Can we double check the regression window?
Priority: -- → P2
Why is this even a dogfood blocker? Whats the user impact here?
(In reply to Adam Alldredge [:AdamA] from comment #4)
> Result:
> A half-screen blank area will flash past.
> --------------------------------------------
> Downgrading from smoke blocker to dogfood blocker per IRC conversation with
> Nhirata.

I can't understand how this qualifies for either. It's a bug, let's fix it, but impact is negligible for dogfooders and testers.
Whiteboard: [Spark][dogfood-blocker] → [Spark]
(In reply to Gregor Wagner [:gwagner] from comment #6)
> This regression-window doesn't look right. The gecko changes were only in
> testing code. Can we double check the regression window?

I agree. My changes should only affect tests; I cannot imagine how they would affect browser behavior.
Flags: needinfo?(gbrown)
QA Contact: sleedavid
Flags: needinfo?(nhirata.bugzilla)
Anyone using video for browser: ie facebook and youtube will hit this issue and it will be a common complaint about the build.

There are related bugs that can hit this as well such as the screen going off, and people will wonder what happened.
Flags: needinfo?(doliver)
Flags: needinfo?(anygregor)
(In reply to Naoki Hirata :nhirata (please use needinfo instead of cc) from comment #10)
> Anyone using video for browser: ie facebook and youtube will hit this issue
> and it will be a common complaint about the build.

I am not suggesting it is not a bug, or even a 2.5 blocker. What I am saying is that we can't block *dogfood* on relatively minor and temporary visual issues like this. 

> There are related bugs that can hit this as well such as the screen going
> off, and people will wonder what happened.

Presumably those are other bugs, not this one.
Flags: needinfo?(doliver)
Oh oops.  Sorry, I was thinking about the other dogfood blocker when I wrote my last comment.  My mistake.  I agree.
Flags: needinfo?(nhirata.bugzilla)
Flags: needinfo?(anygregor)
Mozilla Inbound: 

Last Working: 
Environmental Variables:
Device: Flame 2.5
BuildID: 20150902132021
Gaia: 29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gecko: 656880a5febe554231e320936e8d88c8bd0c2c38
Gonk: c4779d6da0f85894b1f78f0351b43f2949e8decd
Version: 43.0a1 (2.5) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:43.0) Gecko/43.0 Firefox/43.0


First Broken: 
Environmental Variables:
Device: Flame 2.5
BuildID: 20150902133227
Gaia: 29f363d6236bf7db8141d7a1f1185a1dcd809bf7
Gecko: 137ead96908ad9a0544c587092b4e4fa386a0fee
Gonk: c4779d6da0f85894b1f78f0351b43f2949e8decd
Version: 43.0a1 (2.5) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:43.0) Gecko/43.0 Firefox/43.0

PushLog: 

http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=656880a5febe554231e320936e8d88c8bd0c2c38&tochange=137ead96908ad9a0544c587092b4e4fa386a0fee

Note: 
This issue may have been caused by changes in Bug 1201217
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(jmercado)
Blocks: 1201217
Kartikaya this issue seems to have been caused by the changes for bug 1201217.  Can you please take a look?
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(jmercado) → needinfo?(bugmail.mozilla)
Component: Gaia::Browser → Panning and Zooming
Product: Firefox OS → Core
(In reply to Jayme Mercado [:JMercado] from comment #14)
> Kartikaya this issue seems to have been caused by the changes for bug
> 1201217.

That seems unlikely. The changes in bug 1201217 were to Fennec-only code, while this is a B2G regression.
(In reply to Sxean Lee-David [:sxean] from comment #13)
> PushLog: 
> 
> http://hg.mozilla.org/integration/mozilla-inbound/
> pushloghtml?fromchange=656880a5febe554231e320936e8d88c8bd0c2c38&tochange=137e
> ad96908ad9a0544c587092b4e4fa386a0fee

This pushlog also contains bug 1200399. That patch moves a line of code that sets AsyncCompositionManager::mIsFirstPaint to false, into an Android-only block (where previously it was unconditional). That value, however, is read on non-Android platforms, too, in code that has to do with screen rotation [1]. I'm willing to bet that's the problem.

[1] https://dxr.mozilla.org/mozilla-central/rev/ccf288f658211b6cfab33c458aaf033baed2375b/gfx/layers/ipc/CompositorParent.cpp#1220
Bug 1213762 - Clear AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too. r=mstange
Comment on attachment 8675167 [details]
MozReview Request: Bug 1213762 - Clear AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too. r=mstange

Naoki, would you be able to test with this patch applied and see if it fixes the problem?
Attachment #8675167 - Flags: feedback?(nhirata.bugzilla)
(In reply to Botond Ballo [:botond] (at standards meeting Oct 19-24) from comment #18)
> Comment on attachment 8675167 [details]
> MozReview Request: Bug 1213762 - Clear
> AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too.
> r=mstange
> 
> Naoki, would you be able to test with this patch applied and see if it fixes
> the problem?

Hi, Zouyi,

Please help share Naoki's workload.
attachment 8675167 [details] needs your verification.
Thank you.
Flags: needinfo?(bugmail.mozilla) → needinfo?(yi.zou)
Hi, William,
     This bug can not be reproduced after build this patch(attachment 8675167 [details]).
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
Flags: needinfo?(yi.zou) → needinfo?(whsu)
Hi, Botond,

As per comment 20 mentioned, your patch can solve this issue.
Thank you.
Flags: needinfo?(whsu) → needinfo?(botond)
Great! I'll post the fix for review, then.
Flags: needinfo?(botond)
Comment on attachment 8675167 [details]
MozReview Request: Bug 1213762 - Clear AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too. r=mstange

Bug 1213762 - Clear AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too. r=mstange
Attachment #8675167 - Flags: feedback?(nhirata.bugzilla) → review?(mstange)
Attachment #8675167 - Flags: review?(mstange) → review+
Comment on attachment 8675167 [details]
MozReview Request: Bug 1213762 - Clear AsyncCompositionManager::mIsFirstPaint on non-Android platforms, too. r=mstange

https://reviewboard.mozilla.org/r/22335/#review20071
Assignee: nobody → botond
https://hg.mozilla.org/mozilla-central/rev/563ca0487044
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla44
This issue is resolved fixed on the latest Aries and Flame 2.5 builds.
The video is able to transition between Landscape and Portrait orientation without visual flicker or flashing.

Environmental Variables:
Device: Aries 2.5
BuildID: 20151021111747
Gaia: 32d827a70af90a05918f234e5b16b35d5d2a07e8
Gecko: d43374e6970311c0a14f25f3ec09d2a30448a2b2
Gonk: 2916e2368074b5383c80bf5a0fba3fc83ba310bd
Version: 44.0a1 (2.5) 
Firmware Version: D5803_23.1.A.1.28_NCB.ftf
User Agent: Mozilla/5.0 (Mobile; rv:44.0) Gecko/44.0 Firefox/44.0

Environmental Variables:
Device: Flame 2.5
BuildID: 20151021064220
Gaia: 32d827a70af90a05918f234e5b16b35d5d2a07e8
Gecko: 473aefe5bd85842eeb142e0cde8e2cd21edbf40b
Gonk: c4779d6da0f85894b1f78f0351b43f2949e8decd
Version: 44.0a1 (2.5) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:44.0) Gecko/44.0 Firefox/44.0
Status: RESOLVED → VERIFIED
QA Whiteboard: [QAnalyst-Triage+][MGSEI-Triage+] → [QAnalyst-Triage?][MGSEI-Triage+]
Flags: needinfo?(jmercado)
QA Whiteboard: [QAnalyst-Triage?][MGSEI-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
Flags: needinfo?(jmercado)
You need to log in before you can comment on or make changes to this bug.